Bug 186298 - Upgrade deletes some soft-links
Upgrade deletes some soft-links
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 14:26 EST by Steve Falco
Modified: 2015-03-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 11:36:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Falco 2006-03-22 14:26:56 EST
I upgraded a desktop system from FC4 to FC5.  Some of the directories on this
machine are set up as soft links.  Specifically /home points to /n/maytag/home,
and /usr/local points to /n/maytag/app/linux_local, where "maytag" is our NFS
file server, and /n is the automounter mount point.

After upgrading, these soft links had been deleted, and were replaced with
default directories.

I assume that during the upgrade, these links appear to be broken, because the
installer most likely doesn't try to automount things that were previously
configured.

Expected result: the installer should leave such links alone, even if they
appear broken.
Comment 1 petrosyan 2008-03-10 22:27:25 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 2 Steve Falco 2008-03-11 09:58:32 EDT
I don't know.  I'm switching our machines to the CentOS-5.1 distribution, which
requires a full install when moving from Fedora.

Perhaps someone still running Fedora can comment...

Note You need to log in before you can comment on or make changes to this bug.